
.header {
  background-image: url("../img/background-header.png");
  min-height: 217px;
  background-position: center;
  background-repeat: no-repeat;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  align-items: center;
  justify-items: center;
  position: relative;
  padding: 0 20px;
  background-size: cover;
  margin-bottom: 5rem;
}

html[lang="es"] .header {
  grid-template-columns: 1fr 2fr 1fr;
}

.logo {
  max-width: 232px;
}
.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 4px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 999;
  transition: 0.3s;
}

.bar {
  width: 30px;
  height: 3px;
  background-color: #fff;
  border-radius: 2px;
}

.menu-toggle.active .bar:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active .bar:nth-child(2) {
  opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

nav {
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  gap: 20px;
}

.menu li a {
  color: #e8e7df;
  font-family: Sora;
  font-size: 16px;
  text-decoration: none;
  text-transform: uppercase;
}

.menu li a:hover {
  border-bottom: 3px solid #fff;
}

#search-container {
  display: flex;
  align-items: center;
  position: absolute;
  bottom: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 700px;
  z-index: 999;
}

#search-input {
  padding: 24px 32px;
  border-radius: 55px;
  font-size: 14px;
  width: 100%;
}

#search-button {
  padding: 10px;
  background-color: #f36523;
  border: none;
  cursor: pointer;
}

#search-input {
  width: 100%;
  padding: 24px 32px;
  outline: none;
  transition: 0.1s;
  border-radius: 55px;
  border: 1px solid rgba(243, 101, 35, 0.49);
  background: #fff;
  color: #000;
  font-size: 14px;
  font-style: normal;
  font-family: Sora;
  font-weight: 300;
  line-height: normal;
}

#search-input:focus {
  border-color: rgba(243, 101, 35, 0.49);
}

#search-button {
  position: absolute;
  right: 20px;
  background: none;
  border: none;
  cursor: pointer;
  font-size: 22px;
  color: rgba(243, 101, 35, 0.49);
  transition: transform 0.2s ease, color 0.2s ease;
  background-image: url("../icons/search-icon.png");
  background-repeat: no-repeat;
  background-size: contain;
  width: 31px;
  height: 31px;
}

#search-button:active {
  transform: scale(1.2);
  color: rgba(243, 101, 35, 0.49);
}

#search-suggestions {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background: #fff;
  border: 1px solid #ff6900;
  border-top: none;
  z-index: 9999;
  display: none;
  max-height: 350px;
  overflow-y: auto;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.05);
}

.search-input-open {
  border-bottom: none !important;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}
.suggestion-item {
  display: flex;
  align-items: center;
  padding: 10px 25px !important;
  cursor: pointer;
  gap: 10px;
  background: #fff;
  transition: background-color 0.2s ease;
}

.suggestion-item:hover {
  background-color: #f2f2f2 !important;
}

.suggestion-item img {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 5px;
}

.suggestion-item span {
  flex-grow: 1;
  font-size: 13px;
  color: #333;
  font-weight: 400;
}

#search-suggestions > div:first-child,
#search-suggestions > div:nth-child(n + 2) {
  font-weight: bold;
  font-size: 14px;
  padding: 8px 10px;
  background-color: #fff;
}

.highlighted {
  background-color: #007bff !important;
  color: #fff !important;
}
@media (max-width: 768px) {
  .menu {
    display: none;
    flex-direction: column;
    gap: 20px;
    position: absolute;
    top: 60%;
    left: 0;
    right: 0;
    background: #B67D53;
    padding: 10px;
    z-index: 9999;
  }

  .menu li a {
    font-size: 18px;
    color: #fff;
  }

  .menu-toggle.active + nav .menu {
    display: flex;
  }

  .menu-toggle {
    display: flex;
  }

  #search-input {
    font-size: 13px;
    padding: 1rem;
  }

  #search-button {
    width: 24px;
    height: 22px;
    display: none;
  }

  #search-container {
    max-width: 84%;
  }
  .header {
    grid-template-columns: 1fr 1fr;
    min-height: 150px;
    justify-items: end;

}
  .logo {
    max-width: 180px;
  }
}
